Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Interface EditPolicyRoles

public interface EditPolicyRoles

A list of keys defining the GMF diagram editpolicy roles. An editpolicy is installed on an editpart using a role (a String identifier), if another editpolicy is installed on the same editpart with the same role then it will override the previous one installed. If an editpolicy is installed that may need to be overridden, add its role here.

This interface defines constants only, it is not intended to be implemented by clients.

Field Summary
`static java.lang.String` `CANONICAL_ROLE` Key used to install a canonical edit policy.
`static java.lang.String` `CONNECTION_HANDLES_ROLE` The key used to install a connection handles EditPolicy, one that adds or changes the behavior of connection handles.
`static java.lang.String` `CONNECTION_LABELS_ROLE` The key used to install a show/hide connection labels EditPolicy
`static java.lang.String` `CREATION_ROLE` The key used to install a creation EditPolicy which understands notational requests such as: `REQ_CREATE` where the request is of type `CreateViewRequest`
`static java.lang.String` `DECORATION_ROLE` The key used to install a decoration EditPolicy, one that handles creation and removal of decorations.
`static java.lang.String` `DRAG_DROP_ROLE` The key used to install a drop element EditPolicy.
`static java.lang.String` `MODIFY_SORT_FILTER_ROLE` The key used by edit policies which modify sorting and filtering.
`static java.lang.String` `OPEN_ROLE` The key used to install an open EditPolicy.
`static java.lang.String` `POPUPBAR_ROLE` The key used to install a popup bar EditPolicy.
`static java.lang.String` `PROPERTY_HANDLER_ROLE` The key used to install a property handler EditPolicy, one that handles property change requests.
`static java.lang.String` `REFRESH_CONNECTIONS_ROLE` The key used to install a refresh connections EditPolicy.
`static java.lang.String` `REFRESH_PAGEBREAKS_ROLE` The key used to install a refresh pagebreaks EditPolicy.
`static java.lang.String` `SEMANTIC_ROLE` The key used to install a semantic EditPolicy.
`static java.lang.String` `SHOW_ALTERNATE_VIEW_ROLE` The key used to install a ShowAsAlternateViewPolicy EditPolicy which understands notational requests such as: `REQ_SHOW_AS_ALTERNATE_VIEW`
`static java.lang.String` `SHOW_ELEMENTS_ROLE` The key used to install a show elements EditPolicy, one that handles Show Related Elements and Show / Hide Relationships.
`static java.lang.String` `SNAP_FEEDBACK_ROLE` The key used to install a SnapFeedbackPolicy EditPolicy which understands how to handle snap feedback when shapes are moved and snapping is enabled
`static java.lang.String` `SORT_FILTER_CONTENT_ROLE` The key used to install a sort filter content EditPolicy.
`static java.lang.String` `SORT_FILTER_ROLE` The key used to install a sort filter EditPolicy.
`static java.lang.String` `TETHER_ROLE` The key used to install an TetherConnectionEditPolicy which provides a permanent tether between a connection and a shape.

Field Detail

### DECORATION_ROLE

    public static final java.lang.String DECORATION_ROLE

  The key used to install a decoration EditPolicy, one that handles creation and removal of decorations.

  See Also:
    Constant Field Values

### DRAG_DROP_ROLE

    public static final java.lang.String DRAG_DROP_ROLE

  The key used to install a drop element EditPolicy.

  See Also:
    Constant Field Values

### CONNECTION_HANDLES_ROLE

    public static final java.lang.String CONNECTION_HANDLES_ROLE

  The key used to install a connection handles EditPolicy, one that adds or changes the behavior of connection handles.

  See Also:
    Constant Field Values

### PROPERTY_HANDLER_ROLE

    public static final java.lang.String PROPERTY_HANDLER_ROLE

  The key used to install a property handler EditPolicy, one that handles property change requests.

  See Also:
    Constant Field Values

### OPEN_ROLE

    public static final java.lang.String OPEN_ROLE

  The key used to install an open EditPolicy. The OPEN_ROLE policy is typically installed on edit part whose underlying data can only be examined/modified by opening another editor window. For example, if an edit part represented another diagram, then an "open" request on that edit part should result in the corresponding diagram being opened in another editor window.

  See Also:
    Constant Field Values

### CONNECTION_LABELS_ROLE

    public static final java.lang.String CONNECTION_LABELS_ROLE

  The key used to install a show/hide connection labels EditPolicy

  See Also:
    Constant Field Values

### SEMANTIC_ROLE

    public static final java.lang.String SEMANTIC_ROLE

  The key used to install a semantic EditPolicy.

  See Also:
    Constant Field Values

### REFRESH_PAGEBREAKS_ROLE

    public static final java.lang.String REFRESH_PAGEBREAKS_ROLE

  The key used to install a refresh pagebreaks EditPolicy.

  See Also:
    Constant Field Values

### REFRESH_CONNECTIONS_ROLE

    public static final java.lang.String REFRESH_CONNECTIONS_ROLE

  The key used to install a refresh connections EditPolicy.

  See Also:
    Constant Field Values

### SHOW_ELEMENTS_ROLE

    public static final java.lang.String SHOW_ELEMENTS_ROLE

  The key used to install a show elements EditPolicy, one that handles Show Related Elements and Show / Hide Relationships.

  See Also:
    Constant Field Values

### SORT_FILTER_ROLE

    public static final java.lang.String SORT_FILTER_ROLE

  The key used to install a sort filter EditPolicy. The sort filter role creates and opens the sort filter dialog if it is given content by its children via the sort filter content role.

  See Also:
    Constant Field Values

### SORT_FILTER_CONTENT_ROLE

    public static final java.lang.String SORT_FILTER_CONTENT_ROLE

  The key used to install a sort filter content EditPolicy. The sort filter content role understands how to provide content for the sort filter dialog.

  See Also:
    Constant Field Values

### MODIFY_SORT_FILTER_ROLE

    public static final java.lang.String MODIFY_SORT_FILTER_ROLE

  The key used by edit policies which modify sorting and filtering.

  See Also:
    Constant Field Values

### POPUPBAR_ROLE

    public static final java.lang.String POPUPBAR_ROLE

  The key used to install a popup bar EditPolicy. The popup bar will be activated during mouse hover for the editpart.

  See Also:
    Constant Field Values

### CANONICAL_ROLE

    public static final java.lang.String CANONICAL_ROLE

  Key used to install a canonical edit policy. This edit policy will ensure that the host's model children are in sync with a specifc set of semantic children.

  See Also:
    Constant Field Values

### SHOW_ALTERNATE_VIEW_ROLE

    public static final java.lang.String SHOW_ALTERNATE_VIEW_ROLE

  The key used to install a ShowAsAlternateViewPolicy EditPolicy which understands notational requests such as: `REQ_SHOW_AS_ALTERNATE_VIEW`

  See Also:
    Constant Field Values

### CREATION_ROLE

    public static final java.lang.String CREATION_ROLE

  The key used to install a creation EditPolicy which understands notational requests such as: `REQ_CREATE` where the request is of type `CreateViewRequest`

  See Also:
    Constant Field Values

### SNAP_FEEDBACK_ROLE

    public static final java.lang.String SNAP_FEEDBACK_ROLE

  The key used to install a SnapFeedbackPolicy EditPolicy which understands how to handle snap feedback when shapes are moved and snapping is enabled

  See Also:
    Constant Field Values

### TETHER_ROLE

    public static final java.lang.String TETHER_ROLE

  The key used to install an TetherConnectionEditPolicy which provides a permanent tether between a connection and a shape.

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.